Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network36.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
36.0.0.0
Broadcast address
39.255.255.255
First usable
36.0.0.1
Last usable
39.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 24000000 · Integer 603979776 to 671088639
Reverse DNS zones
36.in-addr.arpa
37.in-addr.arpa
38.in-addr.arpa
39.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100100.00000000.00000000.0000000036.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network00100100.00000000.00000000.0000000036.0.0.0
Broadcast00100111.11111111.11111111.1111111139.255.255.255
Split into smaller subnets/18

36.0.0.0/6 makes 4,096 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
136.0.0.0/1836.0.0.1 to 36.0.63.25436.0.63.25516,382
236.0.64.0/1836.0.64.1 to 36.0.127.25436.0.127.25516,382
336.0.128.0/1836.0.128.1 to 36.0.191.25436.0.191.25516,382
436.0.192.0/1836.0.192.1 to 36.0.255.25436.0.255.25516,382
536.1.0.0/1836.1.0.1 to 36.1.63.25436.1.63.25516,382
636.1.64.0/1836.1.64.1 to 36.1.127.25436.1.127.25516,382
736.1.128.0/1836.1.128.1 to 36.1.191.25436.1.191.25516,382
836.1.192.0/1836.1.192.1 to 36.1.255.25436.1.255.25516,382
936.2.0.0/1836.2.0.1 to 36.2.63.25436.2.63.25516,382
1036.2.64.0/1836.2.64.1 to 36.2.127.25436.2.127.25516,382
1136.2.128.0/1836.2.128.1 to 36.2.191.25436.2.191.25516,382
1236.2.192.0/1836.2.192.1 to 36.2.255.25436.2.255.25516,382
1336.3.0.0/1836.3.0.1 to 36.3.63.25436.3.63.25516,382
1436.3.64.0/1836.3.64.1 to 36.3.127.25436.3.127.25516,382
1536.3.128.0/1836.3.128.1 to 36.3.191.25436.3.191.25516,382
1636.3.192.0/1836.3.192.1 to 36.3.255.25436.3.255.25516,382
1736.4.0.0/1836.4.0.1 to 36.4.63.25436.4.63.25516,382
1836.4.64.0/1836.4.64.1 to 36.4.127.25436.4.127.25516,382
1936.4.128.0/1836.4.128.1 to 36.4.191.25436.4.191.25516,382
2036.4.192.0/1836.4.192.1 to 36.4.255.25436.4.255.25516,382
2136.5.0.0/1836.5.0.1 to 36.5.63.25436.5.63.25516,382
2236.5.64.0/1836.5.64.1 to 36.5.127.25436.5.127.25516,382
2336.5.128.0/1836.5.128.1 to 36.5.191.25436.5.191.25516,382
2436.5.192.0/1836.5.192.1 to 36.5.255.25436.5.255.25516,382
2536.6.0.0/1836.6.0.1 to 36.6.63.25436.6.63.25516,382
2636.6.64.0/1836.6.64.1 to 36.6.127.25436.6.127.25516,382
2736.6.128.0/1836.6.128.1 to 36.6.191.25436.6.191.25516,382
2836.6.192.0/1836.6.192.1 to 36.6.255.25436.6.255.25516,382
2936.7.0.0/1836.7.0.1 to 36.7.63.25436.7.63.25516,382
3036.7.64.0/1836.7.64.1 to 36.7.127.25436.7.127.25516,382
3136.7.128.0/1836.7.128.1 to 36.7.191.25436.7.191.25516,382
3236.7.192.0/1836.7.192.1 to 36.7.255.25436.7.255.25516,382
3336.8.0.0/1836.8.0.1 to 36.8.63.25436.8.63.25516,382
3436.8.64.0/1836.8.64.1 to 36.8.127.25436.8.127.25516,382
3536.8.128.0/1836.8.128.1 to 36.8.191.25436.8.191.25516,382
3636.8.192.0/1836.8.192.1 to 36.8.255.25436.8.255.25516,382
3736.9.0.0/1836.9.0.1 to 36.9.63.25436.9.63.25516,382
3836.9.64.0/1836.9.64.1 to 36.9.127.25436.9.127.25516,382
3936.9.128.0/1836.9.128.1 to 36.9.191.25436.9.191.25516,382
4036.9.192.0/1836.9.192.1 to 36.9.255.25436.9.255.25516,382
4136.10.0.0/1836.10.0.1 to 36.10.63.25436.10.63.25516,382
4236.10.64.0/1836.10.64.1 to 36.10.127.25436.10.127.25516,382
4336.10.128.0/1836.10.128.1 to 36.10.191.25436.10.191.25516,382
4436.10.192.0/1836.10.192.1 to 36.10.255.25436.10.255.25516,382
4536.11.0.0/1836.11.0.1 to 36.11.63.25436.11.63.25516,382
4636.11.64.0/1836.11.64.1 to 36.11.127.25436.11.127.25516,382
4736.11.128.0/1836.11.128.1 to 36.11.191.25436.11.191.25516,382
4836.11.192.0/1836.11.192.1 to 36.11.255.25436.11.255.25516,382
4936.12.0.0/1836.12.0.1 to 36.12.63.25436.12.63.25516,382
5036.12.64.0/1836.12.64.1 to 36.12.127.25436.12.127.25516,382
5136.12.128.0/1836.12.128.1 to 36.12.191.25436.12.191.25516,382
5236.12.192.0/1836.12.192.1 to 36.12.255.25436.12.255.25516,382
5336.13.0.0/1836.13.0.1 to 36.13.63.25436.13.63.25516,382
5436.13.64.0/1836.13.64.1 to 36.13.127.25436.13.127.25516,382
5536.13.128.0/1836.13.128.1 to 36.13.191.25436.13.191.25516,382
5636.13.192.0/1836.13.192.1 to 36.13.255.25436.13.255.25516,382
5736.14.0.0/1836.14.0.1 to 36.14.63.25436.14.63.25516,382
5836.14.64.0/1836.14.64.1 to 36.14.127.25436.14.127.25516,382
5936.14.128.0/1836.14.128.1 to 36.14.191.25436.14.191.25516,382
6036.14.192.0/1836.14.192.1 to 36.14.255.25436.14.255.25516,382
6136.15.0.0/1836.15.0.1 to 36.15.63.25436.15.63.25516,382
6236.15.64.0/1836.15.64.1 to 36.15.127.25436.15.127.25516,382
6336.15.128.0/1836.15.128.1 to 36.15.191.25436.15.191.25516,382
6436.15.192.0/1836.15.192.1 to 36.15.255.25436.15.255.25516,382
6536.16.0.0/1836.16.0.1 to 36.16.63.25436.16.63.25516,382
6636.16.64.0/1836.16.64.1 to 36.16.127.25436.16.127.25516,382
6736.16.128.0/1836.16.128.1 to 36.16.191.25436.16.191.25516,382
6836.16.192.0/1836.16.192.1 to 36.16.255.25436.16.255.25516,382
6936.17.0.0/1836.17.0.1 to 36.17.63.25436.17.63.25516,382
7036.17.64.0/1836.17.64.1 to 36.17.127.25436.17.127.25516,382
7136.17.128.0/1836.17.128.1 to 36.17.191.25436.17.191.25516,382
7236.17.192.0/1836.17.192.1 to 36.17.255.25436.17.255.25516,382
7336.18.0.0/1836.18.0.1 to 36.18.63.25436.18.63.25516,382
7436.18.64.0/1836.18.64.1 to 36.18.127.25436.18.127.25516,382
7536.18.128.0/1836.18.128.1 to 36.18.191.25436.18.191.25516,382
7636.18.192.0/1836.18.192.1 to 36.18.255.25436.18.255.25516,382
7736.19.0.0/1836.19.0.1 to 36.19.63.25436.19.63.25516,382
7836.19.64.0/1836.19.64.1 to 36.19.127.25436.19.127.25516,382
7936.19.128.0/1836.19.128.1 to 36.19.191.25436.19.191.25516,382
8036.19.192.0/1836.19.192.1 to 36.19.255.25436.19.255.25516,382
8136.20.0.0/1836.20.0.1 to 36.20.63.25436.20.63.25516,382
8236.20.64.0/1836.20.64.1 to 36.20.127.25436.20.127.25516,382
8336.20.128.0/1836.20.128.1 to 36.20.191.25436.20.191.25516,382
8436.20.192.0/1836.20.192.1 to 36.20.255.25436.20.255.25516,382
8536.21.0.0/1836.21.0.1 to 36.21.63.25436.21.63.25516,382
8636.21.64.0/1836.21.64.1 to 36.21.127.25436.21.127.25516,382
8736.21.128.0/1836.21.128.1 to 36.21.191.25436.21.191.25516,382
8836.21.192.0/1836.21.192.1 to 36.21.255.25436.21.255.25516,382
8936.22.0.0/1836.22.0.1 to 36.22.63.25436.22.63.25516,382
9036.22.64.0/1836.22.64.1 to 36.22.127.25436.22.127.25516,382
9136.22.128.0/1836.22.128.1 to 36.22.191.25436.22.191.25516,382
9236.22.192.0/1836.22.192.1 to 36.22.255.25436.22.255.25516,382
9336.23.0.0/1836.23.0.1 to 36.23.63.25436.23.63.25516,382
9436.23.64.0/1836.23.64.1 to 36.23.127.25436.23.127.25516,382
9536.23.128.0/1836.23.128.1 to 36.23.191.25436.23.191.25516,382
9636.23.192.0/1836.23.192.1 to 36.23.255.25436.23.255.25516,382
9736.24.0.0/1836.24.0.1 to 36.24.63.25436.24.63.25516,382
9836.24.64.0/1836.24.64.1 to 36.24.127.25436.24.127.25516,382
9936.24.128.0/1836.24.128.1 to 36.24.191.25436.24.191.25516,382
10036.24.192.0/1836.24.192.1 to 36.24.255.25436.24.255.25516,382
10136.25.0.0/1836.25.0.1 to 36.25.63.25436.25.63.25516,382
10236.25.64.0/1836.25.64.1 to 36.25.127.25436.25.127.25516,382
10336.25.128.0/1836.25.128.1 to 36.25.191.25436.25.191.25516,382
10436.25.192.0/1836.25.192.1 to 36.25.255.25436.25.255.25516,382
10536.26.0.0/1836.26.0.1 to 36.26.63.25436.26.63.25516,382
10636.26.64.0/1836.26.64.1 to 36.26.127.25436.26.127.25516,382
10736.26.128.0/1836.26.128.1 to 36.26.191.25436.26.191.25516,382
10836.26.192.0/1836.26.192.1 to 36.26.255.25436.26.255.25516,382
10936.27.0.0/1836.27.0.1 to 36.27.63.25436.27.63.25516,382
11036.27.64.0/1836.27.64.1 to 36.27.127.25436.27.127.25516,382
11136.27.128.0/1836.27.128.1 to 36.27.191.25436.27.191.25516,382
11236.27.192.0/1836.27.192.1 to 36.27.255.25436.27.255.25516,382
11336.28.0.0/1836.28.0.1 to 36.28.63.25436.28.63.25516,382
11436.28.64.0/1836.28.64.1 to 36.28.127.25436.28.127.25516,382
11536.28.128.0/1836.28.128.1 to 36.28.191.25436.28.191.25516,382
11636.28.192.0/1836.28.192.1 to 36.28.255.25436.28.255.25516,382
11736.29.0.0/1836.29.0.1 to 36.29.63.25436.29.63.25516,382
11836.29.64.0/1836.29.64.1 to 36.29.127.25436.29.127.25516,382
11936.29.128.0/1836.29.128.1 to 36.29.191.25436.29.191.25516,382
12036.29.192.0/1836.29.192.1 to 36.29.255.25436.29.255.25516,382
12136.30.0.0/1836.30.0.1 to 36.30.63.25436.30.63.25516,382
12236.30.64.0/1836.30.64.1 to 36.30.127.25436.30.127.25516,382
12336.30.128.0/1836.30.128.1 to 36.30.191.25436.30.191.25516,382
12436.30.192.0/1836.30.192.1 to 36.30.255.25436.30.255.25516,382
12536.31.0.0/1836.31.0.1 to 36.31.63.25436.31.63.25516,382
12636.31.64.0/1836.31.64.1 to 36.31.127.25436.31.127.25516,382
12736.31.128.0/1836.31.128.1 to 36.31.191.25436.31.191.25516,382
12836.31.192.0/1836.31.192.1 to 36.31.255.25436.31.255.25516,382
12936.32.0.0/1836.32.0.1 to 36.32.63.25436.32.63.25516,382
13036.32.64.0/1836.32.64.1 to 36.32.127.25436.32.127.25516,382
13136.32.128.0/1836.32.128.1 to 36.32.191.25436.32.191.25516,382
13236.32.192.0/1836.32.192.1 to 36.32.255.25436.32.255.25516,382
13336.33.0.0/1836.33.0.1 to 36.33.63.25436.33.63.25516,382
13436.33.64.0/1836.33.64.1 to 36.33.127.25436.33.127.25516,382
13536.33.128.0/1836.33.128.1 to 36.33.191.25436.33.191.25516,382
13636.33.192.0/1836.33.192.1 to 36.33.255.25436.33.255.25516,382
13736.34.0.0/1836.34.0.1 to 36.34.63.25436.34.63.25516,382
13836.34.64.0/1836.34.64.1 to 36.34.127.25436.34.127.25516,382
13936.34.128.0/1836.34.128.1 to 36.34.191.25436.34.191.25516,382
14036.34.192.0/1836.34.192.1 to 36.34.255.25436.34.255.25516,382
14136.35.0.0/1836.35.0.1 to 36.35.63.25436.35.63.25516,382
14236.35.64.0/1836.35.64.1 to 36.35.127.25436.35.127.25516,382
14336.35.128.0/1836.35.128.1 to 36.35.191.25436.35.191.25516,382
14436.35.192.0/1836.35.192.1 to 36.35.255.25436.35.255.25516,382
14536.36.0.0/1836.36.0.1 to 36.36.63.25436.36.63.25516,382
14636.36.64.0/1836.36.64.1 to 36.36.127.25436.36.127.25516,382
14736.36.128.0/1836.36.128.1 to 36.36.191.25436.36.191.25516,382
14836.36.192.0/1836.36.192.1 to 36.36.255.25436.36.255.25516,382
14936.37.0.0/1836.37.0.1 to 36.37.63.25436.37.63.25516,382
15036.37.64.0/1836.37.64.1 to 36.37.127.25436.37.127.25516,382
15136.37.128.0/1836.37.128.1 to 36.37.191.25436.37.191.25516,382
15236.37.192.0/1836.37.192.1 to 36.37.255.25436.37.255.25516,382
15336.38.0.0/1836.38.0.1 to 36.38.63.25436.38.63.25516,382
15436.38.64.0/1836.38.64.1 to 36.38.127.25436.38.127.25516,382
15536.38.128.0/1836.38.128.1 to 36.38.191.25436.38.191.25516,382
15636.38.192.0/1836.38.192.1 to 36.38.255.25436.38.255.25516,382
15736.39.0.0/1836.39.0.1 to 36.39.63.25436.39.63.25516,382
15836.39.64.0/1836.39.64.1 to 36.39.127.25436.39.127.25516,382
15936.39.128.0/1836.39.128.1 to 36.39.191.25436.39.191.25516,382
16036.39.192.0/1836.39.192.1 to 36.39.255.25436.39.255.25516,382
16136.40.0.0/1836.40.0.1 to 36.40.63.25436.40.63.25516,382
16236.40.64.0/1836.40.64.1 to 36.40.127.25436.40.127.25516,382
16336.40.128.0/1836.40.128.1 to 36.40.191.25436.40.191.25516,382
16436.40.192.0/1836.40.192.1 to 36.40.255.25436.40.255.25516,382
16536.41.0.0/1836.41.0.1 to 36.41.63.25436.41.63.25516,382
16636.41.64.0/1836.41.64.1 to 36.41.127.25436.41.127.25516,382
16736.41.128.0/1836.41.128.1 to 36.41.191.25436.41.191.25516,382
16836.41.192.0/1836.41.192.1 to 36.41.255.25436.41.255.25516,382
16936.42.0.0/1836.42.0.1 to 36.42.63.25436.42.63.25516,382
17036.42.64.0/1836.42.64.1 to 36.42.127.25436.42.127.25516,382
17136.42.128.0/1836.42.128.1 to 36.42.191.25436.42.191.25516,382
17236.42.192.0/1836.42.192.1 to 36.42.255.25436.42.255.25516,382
17336.43.0.0/1836.43.0.1 to 36.43.63.25436.43.63.25516,382
17436.43.64.0/1836.43.64.1 to 36.43.127.25436.43.127.25516,382
17536.43.128.0/1836.43.128.1 to 36.43.191.25436.43.191.25516,382
17636.43.192.0/1836.43.192.1 to 36.43.255.25436.43.255.25516,382
17736.44.0.0/1836.44.0.1 to 36.44.63.25436.44.63.25516,382
17836.44.64.0/1836.44.64.1 to 36.44.127.25436.44.127.25516,382
17936.44.128.0/1836.44.128.1 to 36.44.191.25436.44.191.25516,382
18036.44.192.0/1836.44.192.1 to 36.44.255.25436.44.255.25516,382
18136.45.0.0/1836.45.0.1 to 36.45.63.25436.45.63.25516,382
18236.45.64.0/1836.45.64.1 to 36.45.127.25436.45.127.25516,382
18336.45.128.0/1836.45.128.1 to 36.45.191.25436.45.191.25516,382
18436.45.192.0/1836.45.192.1 to 36.45.255.25436.45.255.25516,382
18536.46.0.0/1836.46.0.1 to 36.46.63.25436.46.63.25516,382
18636.46.64.0/1836.46.64.1 to 36.46.127.25436.46.127.25516,382
18736.46.128.0/1836.46.128.1 to 36.46.191.25436.46.191.25516,382
18836.46.192.0/1836.46.192.1 to 36.46.255.25436.46.255.25516,382
18936.47.0.0/1836.47.0.1 to 36.47.63.25436.47.63.25516,382
19036.47.64.0/1836.47.64.1 to 36.47.127.25436.47.127.25516,382
19136.47.128.0/1836.47.128.1 to 36.47.191.25436.47.191.25516,382
19236.47.192.0/1836.47.192.1 to 36.47.255.25436.47.255.25516,382
19336.48.0.0/1836.48.0.1 to 36.48.63.25436.48.63.25516,382
19436.48.64.0/1836.48.64.1 to 36.48.127.25436.48.127.25516,382
19536.48.128.0/1836.48.128.1 to 36.48.191.25436.48.191.25516,382
19636.48.192.0/1836.48.192.1 to 36.48.255.25436.48.255.25516,382
19736.49.0.0/1836.49.0.1 to 36.49.63.25436.49.63.25516,382
19836.49.64.0/1836.49.64.1 to 36.49.127.25436.49.127.25516,382
19936.49.128.0/1836.49.128.1 to 36.49.191.25436.49.191.25516,382
20036.49.192.0/1836.49.192.1 to 36.49.255.25436.49.255.25516,382
20136.50.0.0/1836.50.0.1 to 36.50.63.25436.50.63.25516,382
20236.50.64.0/1836.50.64.1 to 36.50.127.25436.50.127.25516,382
20336.50.128.0/1836.50.128.1 to 36.50.191.25436.50.191.25516,382
20436.50.192.0/1836.50.192.1 to 36.50.255.25436.50.255.25516,382
20536.51.0.0/1836.51.0.1 to 36.51.63.25436.51.63.25516,382
20636.51.64.0/1836.51.64.1 to 36.51.127.25436.51.127.25516,382
20736.51.128.0/1836.51.128.1 to 36.51.191.25436.51.191.25516,382
20836.51.192.0/1836.51.192.1 to 36.51.255.25436.51.255.25516,382
20936.52.0.0/1836.52.0.1 to 36.52.63.25436.52.63.25516,382
21036.52.64.0/1836.52.64.1 to 36.52.127.25436.52.127.25516,382
21136.52.128.0/1836.52.128.1 to 36.52.191.25436.52.191.25516,382
21236.52.192.0/1836.52.192.1 to 36.52.255.25436.52.255.25516,382
21336.53.0.0/1836.53.0.1 to 36.53.63.25436.53.63.25516,382
21436.53.64.0/1836.53.64.1 to 36.53.127.25436.53.127.25516,382
21536.53.128.0/1836.53.128.1 to 36.53.191.25436.53.191.25516,382
21636.53.192.0/1836.53.192.1 to 36.53.255.25436.53.255.25516,382
21736.54.0.0/1836.54.0.1 to 36.54.63.25436.54.63.25516,382
21836.54.64.0/1836.54.64.1 to 36.54.127.25436.54.127.25516,382
21936.54.128.0/1836.54.128.1 to 36.54.191.25436.54.191.25516,382
22036.54.192.0/1836.54.192.1 to 36.54.255.25436.54.255.25516,382
22136.55.0.0/1836.55.0.1 to 36.55.63.25436.55.63.25516,382
22236.55.64.0/1836.55.64.1 to 36.55.127.25436.55.127.25516,382
22336.55.128.0/1836.55.128.1 to 36.55.191.25436.55.191.25516,382
22436.55.192.0/1836.55.192.1 to 36.55.255.25436.55.255.25516,382
22536.56.0.0/1836.56.0.1 to 36.56.63.25436.56.63.25516,382
22636.56.64.0/1836.56.64.1 to 36.56.127.25436.56.127.25516,382
22736.56.128.0/1836.56.128.1 to 36.56.191.25436.56.191.25516,382
22836.56.192.0/1836.56.192.1 to 36.56.255.25436.56.255.25516,382
22936.57.0.0/1836.57.0.1 to 36.57.63.25436.57.63.25516,382
23036.57.64.0/1836.57.64.1 to 36.57.127.25436.57.127.25516,382
23136.57.128.0/1836.57.128.1 to 36.57.191.25436.57.191.25516,382
23236.57.192.0/1836.57.192.1 to 36.57.255.25436.57.255.25516,382
23336.58.0.0/1836.58.0.1 to 36.58.63.25436.58.63.25516,382
23436.58.64.0/1836.58.64.1 to 36.58.127.25436.58.127.25516,382
23536.58.128.0/1836.58.128.1 to 36.58.191.25436.58.191.25516,382
23636.58.192.0/1836.58.192.1 to 36.58.255.25436.58.255.25516,382
23736.59.0.0/1836.59.0.1 to 36.59.63.25436.59.63.25516,382
23836.59.64.0/1836.59.64.1 to 36.59.127.25436.59.127.25516,382
23936.59.128.0/1836.59.128.1 to 36.59.191.25436.59.191.25516,382
24036.59.192.0/1836.59.192.1 to 36.59.255.25436.59.255.25516,382
24136.60.0.0/1836.60.0.1 to 36.60.63.25436.60.63.25516,382
24236.60.64.0/1836.60.64.1 to 36.60.127.25436.60.127.25516,382
24336.60.128.0/1836.60.128.1 to 36.60.191.25436.60.191.25516,382
24436.60.192.0/1836.60.192.1 to 36.60.255.25436.60.255.25516,382
24536.61.0.0/1836.61.0.1 to 36.61.63.25436.61.63.25516,382
24636.61.64.0/1836.61.64.1 to 36.61.127.25436.61.127.25516,382
24736.61.128.0/1836.61.128.1 to 36.61.191.25436.61.191.25516,382
24836.61.192.0/1836.61.192.1 to 36.61.255.25436.61.255.25516,382
24936.62.0.0/1836.62.0.1 to 36.62.63.25436.62.63.25516,382
25036.62.64.0/1836.62.64.1 to 36.62.127.25436.62.127.25516,382
25136.62.128.0/1836.62.128.1 to 36.62.191.25436.62.191.25516,382
25236.62.192.0/1836.62.192.1 to 36.62.255.25436.62.255.25516,382
25336.63.0.0/1836.63.0.1 to 36.63.63.25436.63.63.25516,382
25436.63.64.0/1836.63.64.1 to 36.63.127.25436.63.127.25516,382
25536.63.128.0/1836.63.128.1 to 36.63.191.25436.63.191.25516,382
25636.63.192.0/1836.63.192.1 to 36.63.255.25436.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses